html, body {
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  background: #010101;
  font-family: monospace;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
}

canvas {
  width: 100%;
  height: 100%;
  background: #000;
  position: fixed;
}

textarea {
  width: 100%;
  height: 100%;
  position: fixed;
  background: #000;
  color: #fff;
  padding: 1em;
  outline: none;
  border: none;
}

textarea:focus {
  outline: none;
}

.buttons {
  z-index: 1;
  display: flex;
  flex-direction: column;
}

button {
  padding: 1em;
  cursor: pointer;
  border: 1px solid #0f0;
  color: #0f0;
  background: black;
  margin: 0.5em;
  z-index: 1;
}

button#render {
  position: fixed;
  left: 0;
  top: 0;
}

button#abort {
  position: fixed;
  left: 0;
  bottom: 0;
}

button#config {
  position: fixed;
  right: 0;
  top: 0;
}

button#update {
  position: fixed;
  right: 0;
  bottom: 0;
}

.mark-v {
  position: fixed;
  z-index: 1;
  border-top: 1px solid #080;
  color: #080;
  padding-top: 0.5em;
  padding-left: 0.5em;
  font-size: 0.75rem;
}

.mark-h {
  position: fixed;
  z-index: 1;
  border-left: 1px solid #080;
  color: #080;
  padding-left: 0.5em;
  padding-bottom: 0.5em;
  font-size: 0.75rem;
}

#error:not(:empty) {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background: #800;
  color: #fff;
  padding: 0.5em;
  font-family: monospace;
}